import ws281x from "rpi-ws281x-native";

export class LEDHandler {
    private static channel = ws281x(10, {stripType: 'ws2812'});
    private static currentInterval: NodeJS.Timer;

    public static waterfall() {
        clearInterval(this.currentInterval);
        this.currentInterval = setInterval(() => {

        }, 1000);
    }

    public static pulseGreen() {
        clearInterval(this.currentInterval);
        this.currentInterval = setInterval(() => {

        }, 1000);
    }
}